using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp8
{
    internal class Program
    {
        static void Main(string[] args)
        {
               string[]unos = Console.ReadLine().Split();
                int a = int.Parse(unos[0]);
                int b = int.Parse(unos[1]);
                unos  = Console.ReadLine().Split();
                int x = int.Parse(unos[0]);
                int y = int.Parse(unos[1]);
            if (x == a && y < b) Console.WriteLine("drugi");
            else if (x < a && y == b) Console.WriteLine("prvi");
            else if (x == a && y == b) Console.WriteLine("nijedan");
            else if (x < a && y < b) Console.WriteLine("?");
        }
    }
}